You are not logged in.

#1 2004-09-16 14:19:11

Haplo
Member
From: Heidelberg/Mannheim, Germany
Registered: 2004-04-17
Posts: 4

fluxbox-devel error and proposition

I have recently installed the development version of fluxbox from the Unstable repository. If I type "fluxbox -i" in bash prompt I get the following text:

fluxbox: /usr/lib/libstdc++.so.6: no version information available (required by fluxbox)
fluxbox: /usr/lib/libstdc++.so.6: no version information available (required by fluxbox)
Fluxbox version: 0.9.10
Compiled: Sep  1 2004 20:17:39
Compiler: GCC
Compiler version: 3.4.1

Defaults:
    menu: /usr/share/fluxbox/menu
   style: /usr/share/fluxbox/styles/Clean
    keys: /usr/share/fluxbox/keys
    init: /usr/share/fluxbox/init

Compiled options (- => disabled): 
-DEBUG
SLIT
TOOLBAR
XPM
GNOME
KDE
EWMH
REMEMBER
SHAPE
XFT
XMB
-XINERAMA
RENDER

After recompiling the package with abs the 2 errors were gone:

Fluxbox version: 0.9.10
Compiled: Sep 16 2004 14:30:01
Compiler: GCC
Compiler version: 3.4.2

Defaults:
    menu: /usr/share/fluxbox/menu
   style: /usr/share/fluxbox/styles/Clean
    keys: /usr/share/fluxbox/keys
    init: /usr/share/fluxbox/init

Compiled options (- => disabled): 
-DEBUG
SLIT
TOOLBAR
XPM
GNOME
KDE
EWMH
REMEMBER
SHAPE
XFT
XMB
-XINERAMA
RENDER

It would be nice if the package maintainer could recompile the package as well.

I also have the following propsition:
I think it would be best if the fluxbox-devel would be moved to the current repository and the "old stable" package to the unstable repository. The reason for this is that the "stable" version of fluxbox is totally unmaintained by the developers and the development version is in my opinion (as well as in the developers opinion) quite stable.

Offline

#2 2004-09-16 14:56:19

sarah31
Member
From: Middle of Canada
Registered: 2002-08-20
Posts: 2,975
Website

Re: fluxbox-devel error and proposition

please either file a bug report or contact the maintainer directly.


AKA uknowme

I am not your friend

Offline

#3 2004-09-20 19:27:55

phrakture
Arch Overlord
From: behind you
Registered: 2003-10-29
Posts: 7,879
Website

Re: fluxbox-devel error and proposition

Haplo: while the development version is stable in your opinion it is still not a stable release yet.  That is exactly why it is tagged as a development version.  Stable versions are the "tried and true" versions... look at debian's stable repositories, they're old as dirt (sorry debian fanatics, he he).  The development versions haven't been around long enough to be considered stable.

Offline

#4 2004-09-21 02:18:17

sykotik
Member
Registered: 2004-06-15
Posts: 49

Re: fluxbox-devel error and proposition

Fluxbox-0.9.10 is commonly accepted in the fluxbox community as the stable release.

Fluxbox-0.1.14 has not been maintained for around 2 years.

Offline

#5 2004-09-21 03:19:25

LavaPunk
Member
Registered: 2004-03-05
Posts: 129

Re: fluxbox-devel error and proposition

There was much talk about this switch happening with development hit 1.0  Just be patient and please file a bug report so that the dev knows it needs to be rebuilt.

Offline

#6 2004-09-21 03:26:19

phrakture
Arch Overlord
From: behind you
Registered: 2003-10-29
Posts: 7,879
Website

Re: fluxbox-devel error and proposition

ok...
first, unmaintained does not mean unstable

second, go to http://fluxbox.org and look at the right hand side.
i will copy it here for those who do not want to look

LATEST DEVEL (v0.9.10)
(maintained, also stable)

LATEST STABLE (v0.1.14)
(old, unmaintained)

while they indicate it is stable, it is tagged as a development version by the fluxbox developers - those who know it best.

this is a conflict of semantics mainly.  the fact is that the dividing line between a development version and a stable/final version is based on developer discretion, not the users'.

Offline

#7 2004-09-21 14:31:33

Haplo
Member
From: Heidelberg/Mannheim, Germany
Registered: 2004-04-17
Posts: 4

Re: fluxbox-devel error and proposition

@phrakture

If what you said is really the case, then why has Slackware, a distribution that most people (including me) consider rock stable, recently switched to the development version of fluxbox. A quote from the slackware-current changelog:

Tue Sep 7 18:38:29 PDT 2004
xap/fluxbox-0.9.10-i486-1.tgz: Upgraded to fluxbox-0.9.10.
       This is the development version, but they say it's stable, so
       I'll defer to upstream judgement.
pasture/fluxbox-0.1.14-i386-1.tgz: Moved to /pasture.
       This is still officially the current stable version, but the
       developers say it's old and unmaintained, so off to /pasture it goes.

Offline

#8 2004-09-21 16:40:50

sykotik
Member
Registered: 2004-06-15
Posts: 49

Re: fluxbox-devel error and proposition

A general conversation in #fluxbox, generally goes like this:

NickA : I have problem 'x', and feature 'y' isnt working correctly
Dev    : What version are you running?
NickA : 0.1.14
Dev    : Get 0.9.10, then if you still have this problem, come back and ask again.
*NickA is away for 10 minutes*
NickA  : Just switched to 0.9.10, problem x is fixed and feature y runs great.

Although one is tagged developement, I would think more attention should be concerned around the tag "unmaintained".  Fluxbox-devel 0.9.10 is constantly maintained, where as 0.1.14 hasnt been for 2 years or so.

Offline

#9 2004-09-21 16:56:50

sykotik
Member
Registered: 2004-06-15
Posts: 49

Re: fluxbox-devel error and proposition

I have also found this, while stumling around the forums:

http://bbs.archlinux.org/viewtopic.php?t=6836

Dibblethewrecker provides his server information where he hosts fluxbox-cvs package.

Offline

#10 2004-09-21 18:43:30

dtw
Forum Fellow
From: UK
Registered: 2004-08-03
Posts: 4,431
Website

Re: fluxbox-devel error and proposition

I do indeed.  i'm pretty up to speed on fluxbox related stuff - what people say about fluxbox stable is true - it's crap and unmaintained. while the best fluxbox is officially a dev version (i think it remains like this as a recourse for devs when they don't want to iron out bugs at lightspeed) i think it is also wrth noting that Arch is, officially, also a development version.  If, therefore, you install Arch it has a certain disclaimer - i see no reason why the same arguement cannot be used for fluxbox.

there may be arguements for and against moving devel to current but there can hardly be any good arguements as to why stable should stay there!

Offline

#11 2004-09-21 19:07:39

shen
Member
Registered: 2003-09-05
Posts: 272
Website

Re: fluxbox-devel error and proposition

Also remember the .0.9.x versions are labeled devel releases because they are stepping stones the the final 1.x release. So they are listed as devel releases not just because the devs don't want preasure but because they are well just that devel releases. There won't be a non deve release till 1.x is ready and complete.

I do agree that the old unmaintained 0.1.14 could probably be safely removed and just leave the pkgbuild and such in abs for those who want it. The .0.9.x series could safely be moved into current as it is considered stable and maintained by the fluxbox devs.

Just to add a suggestion.,..Move 0.9.x into current, remove 0.1.14 and then place a cvs package into unstable that is updated say every 2 weeks. Just an idea...:)

just my 2 cents worth enjoy..:)

Offline

#12 2004-09-21 20:48:51

LavaPunk
Member
Registered: 2004-03-05
Posts: 129

Re: fluxbox-devel error and proposition

place a cvs package into unstable that is updated say every 2 weeks.

As far as I'm concerned cvs does not belong in the official arch repositories, any of them.

Offline

#13 2004-09-21 20:55:15

dtw
Forum Fellow
From: UK
Registered: 2004-08-03
Posts: 4,431
Website

Re: fluxbox-devel error and proposition

i could not agree with lavapunk more

if you want CVS versions make you own PKGBUILDs and repo - or keep an eye on the forums for people sharing those for popular apps.

Offline

#14 2004-09-22 00:20:02

shen
Member
Registered: 2003-09-05
Posts: 272
Website

Re: fluxbox-devel error and proposition

LavaPunk wrote:

place a cvs package into unstable that is updated say every 2 weeks.

As far as I'm concerned cvs does not belong in the official arch repositories, any of them.

It's an unstable repo...I just assumed since there are already cvs packages in unstable that adding a fluxbox cvs package wouldn't be a major issue. Way I see it unstable is meant for packages such as cvs packages and ones that aren't stable code. Anyways just tossed out my ideas and I am sure the devs already know how they will handle it anyways..but I do see your point and stance..

I guess I am mainly curious if there is an official rule of what kind of packages can and will be allowed in unstable..

Offline

#15 2004-10-14 13:43:27

dtw
Forum Fellow
From: UK
Registered: 2004-08-03
Posts: 4,431
Website

Re: fluxbox-devel error and proposition

look at the fluxbox home page

"dev" is now tagged as stable and maintained
"stable" is now tagged as stable and unmaintained

i think dev should be moved to current ASAP and renamed to fluxbox - stable should be renamed flubox-legacy or something!

Offline

Board footer

Powered by FluxBB